Bug 808378 - GNOME 3.4.0 as NTH for F17 Beta
Summary: GNOME 3.4.0 as NTH for F17 Beta
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 17
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard: AcceptedNTH
Keywords:
Depends On:
Blocks: F17Beta-accepted, F17BetaFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2012-03-30 10:03 UTC by Kalev Lember
Modified: 2014-03-17 03:30 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-04-10 02:22:39 UTC


Attachments (Terms of Use)

Description Kalev Lember 2012-03-30 10:03:20 UTC
Now that we're slipping the Beta release a week anyway, I would like to propose the GNOME 3.4.0 update for being included in F17 Beta as a nice-to-have:
https://admin.fedoraproject.org/updates/FEDORA-2012-4879

Compared to the 3.3.90/3.3.91 [1] development snapshot that's currently in stable, the 3.4.0 release has accumulated a month's worth of bug fixes and has a considerable number of crashers and other annoyances fixed. Shipping the Beta release with an old GNOME release would mean that:
 - we don't get feedback on the actual final code and this makes it much less valuable;
 - people keep reporting bugs that have already been fixed and reported by others, duplicating effort;
 - F17 Beta is less polished than it could be;
 - GNOME developers are likely to take bugs reported about final 3.4.0 release very seriously, whereas when e.g. ABRT reports bugs about an obsolete development snapshot, they are often ignored;
 - the first update after installing F17 Beta will be hundreds of megabytes;
 - Fedora won't be the first to ship the final GNOME 3.4.0 release ("Freedom, Friends, Features, First").

An example of small bug fixes included in 3.4.0 that could make a difference:

09:26 < adamw> holy mother of god, is a ginormous memleak one of the things fixed between shell 3.3.90 and 3.3.92?
09:27 < adamw> i just found 3.3.90 exhausting my entire supply of RAM. my *16GB* supply of RAM.

[1] GNOME Shell had no 3.3.91 release, so we only have 3.3.90 in stable.

Comment 1 Richard Hughes 2012-03-30 10:05:07 UTC
Big plus one from me. I'm not sure there's much point in the beta if we're just going to land a 100+ package mega-update after all the QA work has already been done.

Comment 2 Adam Williamson 2012-03-30 16:18:41 UTC
richard: well, the point is that we now have quite a lot of testing to prove that the 3.3.91 stuff, while boring and old and full of memory leaks, basically works and hits our criteria. if it turns out there's a big problem in 3.4, then stock installs of Beta will still work, and so will the live image, so it's easy to wait it out while the update's fixed. if it turns out that introducing 3.4 causes big issues and we add it to the beta, that kind of narfs the process entirely. we can't just ship a broken beta and tell people to wait for the update...

this will come up at the blocker/nth meeting in 40 minutes, so be there if you want to see the fireworks. =)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Adam Williamson 2012-03-30 19:27:42 UTC
Discussed at 2012-03-30 NTH review meeting, but we agreed to defer the decision until we had some more testing with GNOME 3.4. Tim and I will build live images and do the desktop validation tests.

Note that we would also want to pull in a new selinux-policy if we take this, due to https://bugzilla.redhat.com/show_bug.cgi?id=808039 .



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Adam Williamson 2012-03-30 21:24:49 UTC
A desktop ISO with GNOME 3.4 passes validation for me, which is good. Can be downloaded for testing from http://adamwill.fedorapeople.org/rc3test-20120330-x86_64.iso . It's a bit big (though I think just under size for a 700MB CD), but that would go down with gnome-boxes removed.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 satellitgo 2012-03-31 12:24:26 UTC
From:
test Digest, Vol 97, Issue 110
Date: Fri, 30 Mar 2012 20:40:25 -0600
From: Tim Flink <tflink@redhat.com>
To: test@lists.fedoraproject.org
Subject: Gnome 3.4 Testing
---clip...

Note:
  Neither of these LiveCDs is an official build and they both have most
  of the issues that are in F17 beta RC2. I'm not even sure that
  either of them would actually fit on a CD. Please don't use these
  livecds to add results to the desktop test matrix.

i686 LiveCD:
http://tflink.fedorapeople.org/iso/F17-preRC3-gnome34.i686.live.iso
http://tflink.fedorapeople.org/iso/F17-preRC3-gnome34.i686.live.iso.sha256

x86_64 LiveCD:
http://adamwill.fedorapeople.org/rc3test-20120330-x86_64.iso

Comment 6 Adam Williamson 2012-04-02 19:29:52 UTC
Discussed at 2012-04-02 QA meeting, acting as an NTH review meeting. We agreed to accept this as NTH because we're completely fucking insane and we want an RC3 which doesn't work. Wait, that's not right. We agreed to take it because it fixes quite a lot of known bugs, including some serious ones and memleaks, our testing of the custom live spins didn't reveal any blocking issues, and obviously we want to ship with the final 3.4 and not a pre-release.

Note we should also pull selinux-policy 3.10.0-109 with the new GNOME, to fix https://bugzilla.redhat.com/show_bug.cgi?id=808050 (not 808039 as incorrectly linked above). Because, you know, if changing the entire default desktop isn't enough to make sure we break RC3, pulling in a new selinux-policy ought to freaking well do it.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Adam Williamson 2012-04-02 19:33:19 UTC
Can people please vote on NTH status for https://bugzilla.redhat.com/show_bug.cgi?id=808050 so we have bureaucratic cover to pull it in as well? Thanks.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Adam Williamson 2012-04-10 02:22:39 UTC
we can close this, the giant update went stable so it'll be in all future composes.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.